harmony-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vladimir Beliaev (JIRA)" <j...@apache.org>
Subject [jira] Updated: (HARMONY-4832) [buildtest][eut] text.xml should be patched with J2SE-5.0 to run EUT3.3 on Harmony
Date Thu, 20 Sep 2007 18:13:31 GMT

     [ https://issues.apache.org/jira/browse/HARMONY-4832?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Vladimir Beliaev updated HARMONY-4832:
--------------------------------------

    Attachment: H4832.patch

Here is the patch. 

Note that the patching produces not really good looking test.xml. Still it works correctly
because:

1. I add J2SE-5.0 for suites which require J2SE-6.0. Still such a suite won't be run because
if J2SE-6.0 is not set then this suite will be skipped. So my patching is fake in this case.

2. there are some setting based on ant.java.version, etc... They seems to be fake because
J2SE-5.0 is alwasy set from BTI environment.

I'm going to test this patch this night and retrun to this JIRA only if any issue will be
detected.

The patching itself was tested.

Thanks
Vladimir Beliaev



> [buildtest][eut] text.xml should be patched with J2SE-5.0 to run EUT3.3 on Harmony
> ----------------------------------------------------------------------------------
>
>                 Key: HARMONY-4832
>                 URL: https://issues.apache.org/jira/browse/HARMONY-4832
>             Project: Harmony
>          Issue Type: Bug
>          Components: build - test - ci
>         Environment: any
>            Reporter: Vladimir Beliaev
>         Attachments: H4832.patch
>
>
> Ok, the less magic the better. There is no concept of "running VM" and "tested VM" for
EUT. Instead all EUT are run on the same java taken from PATH. Still some tests requires Java5.0,
so if J2SE-5.0 property is specified then these tests are run on java pointed by this property.

> This trick is used to "point" EUT to Harmony, i.e each EUT test suite (in eclipse-testing/test.xml)
must have J2SE-5.0 property specified.
> So while BTI installation (executing "setup" tag from tests/eut/build.xml) the eclispe-testing/test.xml
must be patched.
> Such a patching was done for EUT3.2. One need to add it for EUT3.3.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message